
From: Paul Clements <Paul.Clements@SteelEye.com>

Currently, when I build ext3 as a module, jbd gets built into the kernel
proper.  This trivial patch allows jbd to be built as a module when ext3 is
also modular.  I believe this is the intention, as this is how it works in
2.4.  I've built and tested with modular jbd and ext3 on 2.5.68.



 25-akpm/fs/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/Kconfig~modular-jbd fs/Kconfig
--- 25/fs/Kconfig~modular-jbd	Thu Apr 24 14:01:15 2003
+++ 25-akpm/fs/Kconfig	Thu Apr 24 14:01:15 2003
@@ -135,7 +135,7 @@ config JBD
 # CONFIG_JBD could be its own option (even modular), but until there are
 # other users than ext3, we will simply make it be the same as CONFIG_EXT3_FS
 # dep_tristate '  Journal Block Device support (JBD for ext3)' CONFIG_JBD $CONFIG_EXT3_FS
-	bool
+	tristate
 	default EXT3_FS
 	help
 	  This is a generic journaling layer for block devices.  It is

_
